Derby
  1. Derby
  2. DERBY-5838

By using syscs_set_database_property, you can set the database version to a garbage string which prevents you from booting the database.

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 10.0.2.1, 10.1.1.0, 10.1.2.1, 10.1.3.1, 10.2.1.6, 10.2.2.0, 10.3.1.4, 10.3.2.1, 10.3.3.0, 10.4.1.3, 10.4.2.0, 10.5.1.1, 10.5.2.0, 10.5.3.0, 10.6.1.0, 10.6.2.1, 10.7.1.1, 10.8.1.2, 10.8.2.2, 10.9.1.0, 10.10.1.1
    • Fix Version/s: 10.8.3.0, 10.9.2.2, 11.0.0.0
    • Component/s: SQL
    • Labels:
      None
    • Urgency:
      Normal
    • Issue & fix info:
      Repro attached
    • Bug behavior facts:
      Data corruption

      Description

      The following script shows this problem:

      connect 'jdbc:derby:db;create=true';

      values ( syscs_util.syscs_get_database_property( 'DataDictionaryVersion' ) );

      call syscs_util.syscs_set_database_property( 'DataDictionaryVersion', 'foobar' );

      values ( syscs_util.syscs_get_database_property( 'DataDictionaryVersion' ) );

      connect 'jdbc:derby:db;shutdown=true';

      – fails to boot
      connect 'jdbc:derby:db';

        Issue Links

          Activity

          Hide
          Rick Hillegas added a comment -

          Linking to DERBY-5818 because this bug was discovered while investigating that other issue.

          Show
          Rick Hillegas added a comment - Linking to DERBY-5818 because this bug was discovered while investigating that other issue.
          Hide
          Rick Hillegas added a comment -

          Attaching derby-5838-01-aa-DataDictionaryVersion.diff. This makes Derby raise an exception if you try to change the value of DataDictionaryVersion. Regression tests passed cleanly for me. Committed at subversion revision 1356333.

          If nightly tests pass, I plan to port this fix to 10.9 and 10.8.

          Touches the following files:

          M java/engine/org/apache/derby/impl/sql/LanguageDbPropertySetter.java
          M java/testing/org/apache/derbyTesting/functionTests/tests/lang/SQLAuthorizationPropTest.java

          Show
          Rick Hillegas added a comment - Attaching derby-5838-01-aa-DataDictionaryVersion.diff. This makes Derby raise an exception if you try to change the value of DataDictionaryVersion. Regression tests passed cleanly for me. Committed at subversion revision 1356333. If nightly tests pass, I plan to port this fix to 10.9 and 10.8. Touches the following files: M java/engine/org/apache/derby/impl/sql/LanguageDbPropertySetter.java M java/testing/org/apache/derbyTesting/functionTests/tests/lang/SQLAuthorizationPropTest.java
          Hide
          Rick Hillegas added a comment -

          Ported 1356333 to 10.9 branch at subversion revision 1362544.

          Ported 1356333 to 10.8 branch at subversion revision 1362545.

          Resolving issue.

          Show
          Rick Hillegas added a comment - Ported 1356333 to 10.9 branch at subversion revision 1362544. Ported 1356333 to 10.8 branch at subversion revision 1362545. Resolving issue.

            People

            • Assignee:
              Rick Hillegas
              Reporter:
              Rick Hillegas
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development